
package com.sf.service.gateway.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 功能描述:
 *  查询网关服务
 * @author a_kun
 * @date 2024/4/23 10:38
 */
@ApiModel("查询网关服务DTO")
@Data
public class QueryGatewayServerDTO {

    @ApiModelProperty("ids")
    private List<Long> ids;

    @ApiModelProperty("状态（0停用 1启用）")
    private String status;

    @ApiModelProperty("需要排除的id")
    private List<Long> excludedIds;

    @ApiModelProperty("服务模式（NORMAL=普通模式，ROUTE=路由模式）")
    private String serviceModel;

}
